{ pkgs, ... }:
{
  services.desktopManager.plasma6.enable = false;

  services.xserver = {
    enable = false;
    xkb = {
      layout = "us";
      variant = "";
    };
    videoDrivers = [ "nvidia" ];
  };

  services.displayManager = {
    defaultSession = "hyprland";
    sddm = {
      enable = true;
      autoNumlock = true;
      enableHidpi = true;
      settings = {
        # X11 = {
        #  # MinimumVT = 7;
        #   DisplayCommand="/etc/sddm/Xsetup";
        # };
      };
      wayland = {
        enable = true;
      };
      # theme = "catppuccin-mocha";
      theme = "sddm-astronaut-theme";
      # Sets logon screen
      package = pkgs.kdePackages.sddm; # Comment for plasma6
      extraPackages = [pkgs.sddm-astronaut];
    };
  };
}
